curl --request POST \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/pension/scheme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"schemeName": "<string>",
"provider": "NEST",
"taxTreatment": "NET_PAY",
"pensionableEarningsDefinition": "QUALIFYING_EARNINGS",
"employeeRate": 0.525,
"employerRate": 0.515
}
'{
"validFrom": "2023-12-25",
"schemeName": "<string>",
"provider": "NEST",
"taxTreatment": "NET_PAY",
"pensionableEarningsDefinition": "QUALIFYING_EARNINGS",
"employeeRate": "<string>",
"employerRate": "<string>",
"employeeCap": "<string>",
"employerCap": "<string>",
"postponementPeriodMonths": 123,
"entitledWorkerEmployerContributes": true,
"reEnrolmentDate": "2023-12-25",
"reEnrolmentWindowStart": "2023-12-25",
"reEnrolmentWindowEnd": "2023-12-25",
"validTo": "2023-12-25"
}Configure the workplace pension scheme for an organisation. Returns 409 if a scheme already exists.
curl --request POST \
--url https://preview.intermezzo.ai/gb/organizations/{organization_id}/pension/scheme \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"validFrom": "2023-12-25",
"schemeName": "<string>",
"provider": "NEST",
"taxTreatment": "NET_PAY",
"pensionableEarningsDefinition": "QUALIFYING_EARNINGS",
"employeeRate": 0.525,
"employerRate": 0.515
}
'{
"validFrom": "2023-12-25",
"schemeName": "<string>",
"provider": "NEST",
"taxTreatment": "NET_PAY",
"pensionableEarningsDefinition": "QUALIFYING_EARNINGS",
"employeeRate": "<string>",
"employerRate": "<string>",
"employeeCap": "<string>",
"employerCap": "<string>",
"postponementPeriodMonths": 123,
"entitledWorkerEmployerContributes": true,
"reEnrolmentDate": "2023-12-25",
"reEnrolmentWindowStart": "2023-12-25",
"reEnrolmentWindowEnd": "2023-12-25",
"validTo": "2023-12-25"
}Get token from Auth0 and paste it here
Configure an organization's pension scheme.
Date from which this scheme configuration is effective
Display name for the scheme
Pension provider
NEST, OTHER Tax treatment method (NET_PAY, RELIEF_AT_SOURCE, SALARY_SACRIFICE)
NET_PAY, RELIEF_AT_SOURCE, SALARY_SACRIFICE Which earnings count as pensionable
QUALIFYING_EARNINGS, PENSIONABLE_PAY Employee contribution rate (minimum 0.05 = 5%)
0.05 <= x <= 1Employer contribution rate (minimum 0.03 = 3%)
0.03 <= x <= 1Maximum employee contribution per period (absolute amount)
Maximum employer contribution per period (absolute amount)
Months to postpone auto-enrolment for new eligible jobholders (0 = none)
0 <= x <= 3Whether employer voluntarily contributes for Entitled Workers who join
Employer's chosen cyclical re-enrolment date (every ~3 years)
Earliest permissible re-enrolment date (3 months before anniversary)
Latest permissible re-enrolment date (3 months after anniversary)
Successful Response
Organisation's pension scheme configuration.
NEST, OTHER NET_PAY, RELIEF_AT_SOURCE, SALARY_SACRIFICE QUALIFYING_EARNINGS, PENSIONABLE_PAY ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$Was this page helpful?